<!DOCTYPE html>
<html lang="{{ .Lang }}" {{ if or (eq .Lang "ar") (eq .Lang "fa") }}dir="rtl"{{ end }}>

  <head>
    {{ partial "head-meta.html" . }}

    {{ block "schema-dot-org" . }}
      <!-- schema.org metadata differs for Nodes and Pages -->
    {{ end }}

    <link rel="canonical" href="{{ .Permalink }}">

    <title>{{ block "title" . }}{{ .Site.Title }}{{ end }}</title>

   

    {{ $style := resources.Get "scss/style.scss" | css.Sass (dict "enableSourceMap" hugo.IsServer) | resources.Fingerprint }}
    <link href="{{ $style.Permalink }}" rel="stylesheet"  />



    {{ "<!-- RSS 2.0 feed -->" | safeHTML }}
    {{ with .OutputFormats.Get "rss" -}}
      {{ printf `<link rel="%s" type="%s" href="%s" title="%s" />` .Rel .MediaType.Type .Permalink $.Site.Title | safeHTML }}
    {{ end -}}



    {{ partial "head-custom.html" . }}
  </head>

  <body>

    {{ block "masthead" . }}
    <div class="blog-masthead">
      <div class="container">
        <nav class="nav blog-nav">
          <a class="nav-link {{ if .IsHome }}active{{ end }}" href="{{ .Site.BaseURL | absLangURL }}">{{ i18n "home" }}</a>
          
          {{- $currentPage := . -}}
          {{ $currentRelURL := .Permalink | relLangURL }}
          {{ range .Site.Menus.navbar }}
          {{ $menuRelURL := .URL| relLangURL }}
          <a class="nav-link {{ if eq $menuRelURL $currentRelURL }}active{{ end }}" href="{{ .URL }}"> {{ .Name }}</a>
          {{ end }} 
        </nav>
      </div>
    </div>
    {{ end }}

    {{ block "header" . }}
    {{ if (ne .Site.Params.header_visible false) }}
    <header class="blog-header">
      <div class="container">
        <h1 class="blog-title" dir="auto"><a href="{{ .Site.BaseURL | absURL }}" rel="home">{{ .Site.Title | safeHTML }}</a></h1>
        {{ if .Site.Params.description }}<p class="lead blog-description" dir="auto">{{ .Site.Params.description | markdownify }}</p>{{ end }}
      </div>
    </header>
    {{ end }}
    {{ end }}

    {{ block "body" . }}
    <div class="container">
      <div class="row">
        <div class="col-sm-8 blog-main">

          {{ block "main" . }}
          <!-- The part of the page that begins to differ between templates -->
          {{ end }}

        </div> {{ "<!-- /.blog-main -->" | safeHTML }}

        {{ partial "sidebar.html" . }}

      </div> {{ "<!-- /.row -->" | safeHTML }}
    </div> {{ "<!-- /.container -->" | safeHTML }}
    {{ end }}

    {{ block "footer" . }}
    <footer class="blog-footer">
      <p dir="auto">
      {{ if .Site.Copyright }}
      {{ .Site.Copyright | markdownify }}
      {{ end }}
      </p>
    
    </footer>
    {{ end }}
    {{ $sw := resources.Get  "load-service-worker.js" }}
    <script src="{{ $sw.RelPermalink  }}" ></script>
  </body>

</html>

{{- /* vim: set ts=2 sw=2 et: */}}
